# Uses of Class
ch.qos.logback.core.helpers.CyclicBuffer

Packages that use CyclicBuffer
Package
Description
ch.qos.logback.access.net
ch.qos.logback.classic.net
Contains classes used to log through a network
ch.qos.logback.core
Contains the main classes of logback core.
ch.qos.logback.core.helpers
Helpers package.
ch.qos.logback.core.net
Contains the base classes used by logback to log to remote destinations.
ch.qos.logback.core.spi
Contains core functionnalities of logback, such as

## Uses of CyclicBuffer in ch.qos.logback.access.net

Methods in ch.qos.logback.access.net with parameters of type CyclicBuffer
Modifier and Type
Method
Description
`protected void`
SMTPAppender.`fillBuffer(CyclicBuffer<IAccessEvent> cb, StringBuffer sbuf)`
`protected void`
SMTPAppender.`subAppend(CyclicBuffer<IAccessEvent> cb, IAccessEvent event)`
Perform SMTPAppender specific appending actions, mainly adding the event to the appropriate cyclic buffer.

## Uses of CyclicBuffer in ch.qos.logback.classic.net

Methods in ch.qos.logback.classic.net with parameters of type CyclicBuffer
Modifier and Type
Method
Description
`protected void`
SMTPAppender.`fillBuffer(CyclicBuffer<ILoggingEvent> cb, StringBuffer sbuf)`
`protected void`
SMTPAppender.`subAppend(CyclicBuffer<ILoggingEvent> cb, ILoggingEvent event)`
Perform SMTPAppender specific appending actions, mainly adding the event to a cyclic buffer.

## Uses of CyclicBuffer in ch.qos.logback.core

Fields in ch.qos.logback.core declared as CyclicBuffer
Modifier and Type
Field
Description
`protected final CyclicBuffer<Status>`
BasicStatusManager.`tailBuffer`

## Uses of CyclicBuffer in ch.qos.logback.core.helpers

Constructors in ch.qos.logback.core.helpers with parameters of type CyclicBuffer
Modifier
Constructor
Description
``
`CyclicBuffer(CyclicBuffer<E> other)`

## Uses of CyclicBuffer in ch.qos.logback.core.net

Methods in ch.qos.logback.core.net with parameters of type CyclicBuffer
Modifier and Type
Method
Description
`protected abstract void`
SMTPAppenderBase.`fillBuffer(CyclicBuffer<E> cb, StringBuffer sbuf)`
`protected void`
SMTPAppenderBase.`sendBuffer(CyclicBuffer<E> cb, E lastEventObject)`
Send the contents of the cyclic buffer as an e-mail message.
`protected abstract void`
SMTPAppenderBase.`subAppend(CyclicBuffer<E> cb, E eventObject)`

## Uses of CyclicBuffer in ch.qos.logback.core.spi

Methods in ch.qos.logback.core.spi that return CyclicBuffer
Modifier and Type
Method
Description
`protected CyclicBuffer<E>`
CyclicBufferTracker.`buildComponent(String key)`
Methods in ch.qos.logback.core.spi with parameters of type CyclicBuffer
Modifier and Type
Method
Description
`protected boolean`
CyclicBufferTracker.`isComponentStale(CyclicBuffer<E> eCyclicBuffer)`
`protected void`
CyclicBufferTracker.`processPriorToRemoval(CyclicBuffer<E> component)`